aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLisa Nguyen <lisa.nguyen@linaro.org>2015-01-28 13:44:54 -0800
committerLisa Nguyen <lisa.nguyen@linaro.org>2015-02-03 12:37:36 -0800
commitcf24e78f4cf02bac989afd92f54a3bd3d5011819 (patch)
tree1e5d754d1118d46eabdbeeeaeafc534aaeaa099d
parentc5db0094af1ef459dfd7ca7989b466cbffbd5a40 (diff)
cputopology: Add cputopology_sanity.sh
Every test module has a sanity script. Add one for cputopology to check for topology entries for all cpus. Signed-off-by: Lisa Nguyen <lisa.nguyen@linaro.org>
-rwxr-xr-xcputopology/cputopology_sanity.sh49
-rw-r--r--cputopology/cputopology_sanity.txt1
2 files changed, 50 insertions, 0 deletions
diff --git a/cputopology/cputopology_sanity.sh b/cputopology/cputopology_sanity.sh
new file mode 100755
index 0000000..698ceab
--- /dev/null
+++ b/cputopology/cputopology_sanity.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# PM-QA validation test suite for the power management on Linux
+#
+# Copyright (C) 2015, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Lisa Nguyen <lisa.nguyen@linaro.org>
+# - initial implementation
+#
+
+. ../include/functions.sh
+
+is_root
+if [ $? -ne 0 ]; then
+ log_skip "User is not root"
+ exit 0
+fi
+
+check_cputopology_sysfs_entry() {
+ for cpu in $cpus; do
+ cputopology_sysfs_dir="$CPU_PATH/$cpu/topology"
+
+ test -d $cputopology_sysfs_dir
+ if [ $? -ne 0 ]; then
+ echo "cputopology entry not found. Skipping all cputopology tests"
+ skip_tests cputopology
+ return 0
+ fi
+ done
+
+ return 1
+}
+
+check_cputopology_sysfs_entry
diff --git a/cputopology/cputopology_sanity.txt b/cputopology/cputopology_sanity.txt
new file mode 100644
index 0000000..99f927c
--- /dev/null
+++ b/cputopology/cputopology_sanity.txt
@@ -0,0 +1 @@
+Checking for topology dir in each cpu